LibreOffice LibreOffice 7.2 SDK API Reference

Public Member Functions | List of all members
XLockable Interface Reference

allows locking a component More...

`import"XLockable.idl";`

Inheritance diagram for XLockable:

## Public Member Functions
void | lock ()
| locks the component More...
void | unlock () raises ( NotLockedException )
| unlocks the component More...
boolean | isLocked ()
| determines whether the component is currently locked. More...

## Detailed Description

allows locking a component

`lock` and `unlock` calls can be nested. However, they must be in pairs. As long as there has been one more call to `lock` than to `unlock`, the component is considered locked, which is reflected by isLocked() returning `TRUE`.

## Member Function Documentation

## ◆ isLocked()

boolean isLocked | ( |  | ) |

determines whether the component is currently locked.

See also
  lock
  unlock

## ◆ lock()

void lock | ( |  | ) |

locks the component

See also
  unlock
  isLocked

## ◆ unlock()

void unlock | ( |  | ) |
raises | ( | NotLockedException
| ) |  |

unlocks the component

Exceptions

  NotLockedException | if the component is not currently locked.

See also
  lock
  isLocked

The documentation for this interface was generated from the following file:

- com/sun/star/util/XLockable.idl